summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'sys-apps/at/files/atd')
-rwxr-xr-xsys-apps/at/files/atd46
1 files changed, 46 insertions, 0 deletions
diff --git a/sys-apps/at/files/atd b/sys-apps/at/files/atd
new file mode 100755
index 000000000000..5af8590e0d5a
--- /dev/null
+++ b/sys-apps/at/files/atd
@@ -0,0 +1,46 @@
+#!/bin/sh
+# Copyright 1999-2000 Gentoo Technologies, Inc.
+# Distributed under the terms of the GNU General Public License, v2 or later
+# Author Achim Gottinger <achim@gentoo.org>
+# $Header: /var/cvsroot/gentoo-x86/sys-apps/at/files/atd,v 1.1 2000/08/02 17:10:25 achim Exp $
+
+#RCUPDATE:2 3 4:75:
+
+. /etc/rc.d/config/functions
+
+SERVICE=atd
+EXE=/usr/sbin/atd
+PIDFILE=/var/run/atd.pid
+opts="start stop restart"
+
+# See how we were called.
+
+function start() {
+
+ # Start daemons.
+
+ ebegin "Starting ${SERVICE}..."
+ start-stop-daemon --start --quiet --exec ${EXE}
+ eend $? "Started $SERVICE." "Error Starting ${SERVICE}"
+
+}
+
+function stop() {
+
+ # Stop daemons.
+
+ ebegin "Shutting down ${SERVICE}..."
+ start-stop-daemon --stop --quiet --pidfile ${PIDFILE}
+ eend $? "Stopped $SERVICE." "Error Stopping ${SERVICE}."
+
+}
+
+function restart () {
+
+ stop
+ start
+
+}
+
+doservice ${@}
+